DynamicJava Javadoc: Class IntegerLiteral

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## koala.dynamicjava.tree
Class IntegerLiteral

    java.lang.Object
      |
      +--koala.dynamicjava.tree.Node
            |
            +--koala.dynamicjava.tree.Expression
                  |
                  +--koala.dynamicjava.tree.PrimaryExpression
                        |
                        +--koala.dynamicjava.tree.Literal
                              |
                              +--koala.dynamicjava.tree.IntegerLiteral

public class IntegerLiteral
extends Literal

This class represents the integer literal nodes of the syntax tree

Fields inherited from class koala.dynamicjava.tree.Literal
`REPRESENTATION, TYPE, VALUE`

Fields inherited from class koala.dynamicjava.tree.Node
`BEGIN_COLUMN, BEGIN_LINE, END_COLUMN, END_LINE, FILENAME`

Constructor Summary
`IntegerLiteral(java.lang.String rep)` Initializes a literal
`IntegerLiteral(java.lang.String rep, java.lang.String fn, int bl, int bc, int el, int ec)` Initializes a literal

Methods inherited from class koala.dynamicjava.tree.Literal
`acceptVisitor, getRepresentation, getType, getValue, setRepresentation, setType, setValue`

Methods inherited from class koala.dynamicjava.tree.Node
`addPropertyChangeListener, addPropertyChangeListener, firePropertyChange, firePropertyChange, firePropertyChange, getBeginColumn, getBeginLine, getEndColumn, getEndLine, getFilename, getProperties, getProperty, hasProperty, removePropertyChangeListener, removePropertyChangeListener, setBeginColumn, setBeginLine, setEndColumn, setEndLine, setFilename, setProperty`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### IntegerLiteral

    public IntegerLiteral(java.lang.String rep)

  Initializes a literal
  Parameters:
    `rep` - the representation of the literal

### IntegerLiteral

    public IntegerLiteral(java.lang.String rep,
                          java.lang.String fn,
                          int bl,
                          int bc,
                          int el,
                          int ec)

  Initializes a literal
  Parameters:
    `rep` - the representation of the literal
    `fn` - the filename
    `bl` - the begin line
    `bc` - the begin column
    `el` - the end line
    `ec` - the end column

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001 Stephane Hillion. All Rights Reserved.